org.apache.ignite.internal.management.encryption

## Class CacheGroupEncryptionTask<T>

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<EncryptionCacheGroupArg,CacheGroupEncryptionTaskResult<T>,CacheGroupEncryptionTask.SingleFieldDto<T>>
  - - org.apache.ignite.internal.management.encryption.CacheGroupEncryptionTask<T>

Type Parameters:
  `T` - The type of the task result.

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<EncryptionCacheGroupArg>,CacheGroupEncryptionTaskResult<T>>

Direct Known Subclasses:
  EncryptionKeyIdsTask, ReencryptionResumeTask, ReencryptionStatusTask, ReencryptionSuspendTask

    public abstract class CacheGroupEncryptionTask<T>
    extends VisorMultiNodeTask<EncryptionCacheGroupArg,CacheGroupEncryptionTaskResult<T>,CacheGroupEncryptionTask.SingleFieldDto<T>>

Visor encrypted cache group multinode task.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`protected static class` `CacheGroupEncryptionTask.ReencryptionBaseJob<T>`
`static class` `CacheGroupEncryptionTask.SingleFieldDto<T>`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`CacheGroupEncryptionTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected @Nullable CacheGroupEncryptionTaskResult<T>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`job, jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheGroupEncryptionTask

    public CacheGroupEncryptionTask()

### Method Detail

#### reduce0

    @Nullable
    protected @Nullable CacheGroupEncryptionTaskResult<T> reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<EncryptionCacheGroupArg,CacheGroupEncryptionTaskResult<T>,CacheGroupEncryptionTask.SingleFieldDto<T>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023